=== debian/control ===
Source: ros-one-cras-py-common
Section: misc
Priority: optional
Maintainer: Martin Pecka <peckama2@fel.cvut.cz>
Build-Depends: debhelper (>= 9.0.0), python3-setuptools, ros-one-catkin, ros-one-rosconsole, ros-one-sensor-msgs
Homepage: https://wiki.ros.org/cras_py_common
Standards-Version: 3.9.2

Package: ros-one-cras-py-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, language-pack-en, ros-one-dynamic-reconfigure, ros-one-genpy, ros-one-geometry-msgs, ros-one-rosconsole, ros-one-rosgraph, ros-one-rosgraph-msgs, ros-one-rospy, ros-one-tf, ros-one-tf2-msgs, ros-one-tf2-ros
Description: A Czech-army knife for ROS code written in Python.
