## ros-one-cras-py-common 2.5.1-88noble.20251212.2106

=== debian/changelog ===
ros-one-cras-py-common (2.5.1-88noble.20251212.2106) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 12 Dec 2025 21:06:52 +0000
