## ros-one-cras-py-common 2.5.1-89jammy.20251215.2115

=== debian/changelog ===
ros-one-cras-py-common (2.5.1-89jammy.20251215.2115) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 Dec 2025 21:15:50 +0000

ros-one-cras-py-common (2.5.1-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 18 Feb 2025 00:00:00 -0000

ros-one-cras-py-common (2.5.0-0jammy) jammy; urgency=high

  * plugin_utils: Fixed Python 2.7 compatibility.
  * Added plugin_utils.
  * string_utils: Added pretty_file_size()
  * message_utils: Added msg_to_raw and raw_to_msg
  * Fixed dependencies.
  * image_encodings: Added isDepth().
  * Added image_encodings.py and distortion_models.py .
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 13 Feb 2025 00:00:00 -0000

ros-one-cras-py-common (2.4.8-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 07 Jan 2025 00:00:00 -0000

ros-one-cras-py-common (2.4.7-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 12 Dec 2024 00:00:00 -0000

ros-one-cras-py-common (2.4.6-0jammy) jammy; urgency=high

  * string_utils: Added iconvConvert(), transliterateToAscii() and toValidRosName() functions.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 12 Dec 2024 00:00:00 -0000

ros-one-cras-py-common (2.4.5-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Sat, 02 Nov 2024 00:00:00 -0000

ros-one-cras-py-common (2.4.4-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Sat, 14 Sep 2024 00:00:00 -0000

ros-one-cras-py-common (2.4.3-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Sat, 14 Sep 2024 00:00:00 -0000

ros-one-cras-py-common (2.4.2-0jammy) jammy; urgency=high

  * log_utils: Addded log_once_identical() functions.
  * log_utils: Fixed stack information for cras.log().
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 05 Sep 2024 00:00:00 -0000

ros-one-cras-py-common (2.4.1-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 04 Sep 2024 00:00:00 -0000

ros-one-cras-py-common (2.4.0-0jammy) jammy; urgency=high

  * string_utils: Fixed iconv functions when running with LC_ALL=C or other weird locale.
  * Added python_utils.
  * string_utils: Added methods for iconv-like conversions of strings and sanitization or ROS names.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 04 Sep 2024 00:00:00 -0000

ros-one-cras-py-common (2.3.9-0jammy) jammy; urgency=high

  * Removed catkin_lint buildfarm hacks.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 27 Feb 2024 00:00:00 -0000

ros-one-cras-py-common (2.3.8-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 12 Jan 2024 00:00:00 -0000

ros-one-cras-py-common (2.3.7-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 09 Jan 2024 00:00:00 -0000

ros-one-cras-py-common (2.3.6-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 09 Jan 2024 00:00:00 -0000

ros-one-cras-py-common (2.3.5-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 21 Nov 2023 00:00:00 -0000

ros-one-cras-py-common (2.3.4-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 25 Oct 2023 00:00:00 -0000

ros-one-cras-py-common (2.3.3-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 06 Oct 2023 00:00:00 -0000

ros-one-cras-py-common (2.3.2-0jammy) jammy; urgency=high

  * param_utils: Removed deprecated numpy aliases.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 06 Oct 2023 00:00:00 -0000

ros-one-cras-py-common (2.3.1-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 13 Jul 2023 00:00:00 -0000

ros-one-cras-py-common (2.3.0-0jammy) jammy; urgency=high

  * Increased minimum CMake version to 3.10.2.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 12 Jul 2023 00:00:00 -0000

ros-one-cras-py-common (2.2.3-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 16 Jun 2023 00:00:00 -0000

ros-one-cras-py-common (2.2.2-0jammy) jammy; urgency=high

  * ctypes_utils: Added ScalarAllocator.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 May 2023 00:00:00 -0000

ros-one-cras-py-common (2.2.1-0jammy) jammy; urgency=high

  * message_utils: Added dict_to_dynamic_config_msg().
  * ctypes_utils: Added c_array() method.
  * message_utils: Added get_srv_types() and get_cfg_module().
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 May 2023 00:00:00 -0000

ros-one-cras-py-common (2.2.0-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Sun, 09 Apr 2023 00:00:00 -0000

ros-one-cras-py-common (2.1.2-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 10 Feb 2023 00:00:00 -0000

ros-one-cras-py-common (2.1.1-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 08 Feb 2023 00:00:00 -0000

ros-one-cras-py-common (2.1.0-0jammy) jammy; urgency=high

  * ctypes_utils: Added specialized allocators for ROS messages and for rosconsole logs.
  * string_utils: Register genpy Time and Duration for to_str() conversion, too.
  * ctypes_utils: Do not add one byte to StringAlloc allocated size. The caller has to do it now.
  * ctypes_utils: Autodetection of length of a BufferStringIO stream.
  * ctypes_utils: Added get_ro_c_buffer.
  * Added utilities for working with ctypes.
  * Allow resetting nodes by topic.
  * Added support for enums in to_str() and param utils.
  * Hide tf2_ros includes in geometry_utils.py inside function calls.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 08 Feb 2023 00:00:00 -0000

ros-one-cras-py-common (2.0.10-0jammy) jammy; urgency=high

  * Fix test bug.

