## ros-one-cras-py-common 2.5.1-89noble.20251215.2114

=== debian/changelog ===
ros-one-cras-py-common (2.5.1-89noble.20251215.2114) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 Dec 2025 21:14:23 +0000
