## ros-one-cras-py-common 2.5.1-125noble.20260119.2107

=== debian/changelog ===
ros-one-cras-py-common (2.5.1-125noble.20260119.2107) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 19 Jan 2026 21:07:51 +0000
