## ros-one-cras-py-common 2.5.1-132jammy.20260128.2113

=== debian/changelog ===
ros-one-cras-py-common (2.5.1-132jammy.20260128.2113) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 28 Jan 2026 21:13:10 +0000
