## ros-one-cras-py-common 2.5.1-132noble.20260128.2115

=== debian/changelog ===
ros-one-cras-py-common (2.5.1-132noble.20260128.2115) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 28 Jan 2026 21:15:42 +0000
